Page MenuHomePhabricator

Efl.Ui.Vg_Animation: Change property name autorepeat to looping
ClosedPublic

Authored by jsuya on Jan 10 2020, 1:11 AM.

Details

Summary

autoplay and autorepeat look similar and can be confusing.
so change autorepeat to looping.

ref T8476
Depends on D11022

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Jan 10 2020, 1:11 AM
jsuya requested review of this revision.Jan 10 2020, 1:11 AM
jsuya updated this revision to Diff 28075.
jsuya edited the summary of this revision. (Show Details)

modify message

jsuya updated this revision to Diff 28076.Jan 10 2020, 1:14 AM

rebase commit

Hermet accepted this revision.Jan 13 2020, 2:49 AM
This revision is now accepted and ready to land.Jan 13 2020, 2:49 AM
segfaultxavi requested changes to this revision.Jan 13 2020, 2:52 AM

We're still discussing if some of these properties (like looping) belong here or to the Player interface, right?

src/lib/elementary/efl_ui_vg_animation.eo
51
Turn on/off animation looping.

When $true, animation is restarted when it reaches the last frame.
This works both when playing forward and backward.
This revision now requires changes to proceed.Jan 13 2020, 2:52 AM
zmike added a comment.Jan 13 2020, 9:58 AM

We'll continue the naming discussion in the reference ticket.

On a technical level this is fine, so once the docs are updated and the name is finalized I don't see an issue.

jsuya updated this revision to Diff 28205.Jan 15 2020, 6:20 PM

update docs

update docs

@segfaultxavi I think moving properties can be another topic :)

Hermet accepted this revision.Jan 15 2020, 11:27 PM
segfaultxavi accepted this revision.Jan 16 2020, 2:52 AM

Yes, this looks OK.

This revision is now accepted and ready to land.Jan 16 2020, 2:52 AM
This revision was automatically updated to reflect the committed changes.